<?php
# Plug-in Fortune pour Dotclear
# Copyright (C) 2004 Alexandre PASSANT <alex@passant.org>
# Realeased under GPL version 2 or later, see LICENSE file
# or <http://www.gnu.org/copyleft/gpl.html>

define('EXTENSION', '.dat');
define('PATH', dirname(__FILE__).'/var/');

class dcFortune
{
	// Affichage d'une fortune sur le template
	function afficher() 
	{
		include dirname(__FILE__).'/fortune.php';
		$fortune = new Fortune();
		echo '<cite>'.$fortune->quoteFromDir(PATH).'</cite>';
	}
	
	// Ajout d'un fichier de fortunes
	function addFortune($file)
	{
		include dirname(__FILE__).'/Tar.php';	
		$archive = new Archive_Tar($file['tmp_name'],'gz');
		// On cherche le répertoire de base de l'archive
		foreach ($archive->listContent() as $file) 
		{
			if ($file['typeflag'] == 5)
			{
				$dirname = $file['filename'];
				break;
			}
		}
		// Extraction
		return $archive->extractModify(PATH, $dirname);
	}

	// Liste des fichiers fortunes 
	function getAllFortunes()
	{
		$fortunes = array();
		$handle = opendir(PATH);
		// On récupère uniquement les .dat
		while (false !== ($file = readdir($handle))) 
		{
			if (substr($file,-4) == EXTENSION)
			{
				$fortunes[] = substr($file,0,-4);
			}
		}
		return $fortunes;
	}
	
	// Suppression d'un fichier fortunes
	function delFortune($fortune)
	{
		// Suppression du .dat et du fichier fortune
		return (@unlink(PATH.$fortune) && @unlink(PATH.$fortune.EXTENSION));
	}
	
}
?>
